#cloud-config
%{ if length(write_files) > 0 }
write_files:
%{ for path, content in write_files }
- encoding: b64
  path: ${path}
  content: ${base64encode(content)}
  owner: root:root
  permissions: '0644'
%{ endfor }
%{ endif }
